## rasmol 2.6b2

=== Makefile ===
# Makefile.in
# RasMol2 Molecular Graphics
# Roger Sayle, March 1995
# Version 2.6

# Simply edit CC and CFLAGS for your local compiler/system
# For Sun OpenWindows, add "-I/usr/openwin/include" to CFLAGS

#CC = gcc
#CFLAGS = -g -O2 -finline-functions

CC = cc
CFLAGS = -O


#CFLAGS_sun4     = -O4
#CFLAGS_sun3     = -O4 -f68881
#CFLAGS_hp9000   = -O +bfpa
#CFLAGS_sequent  = -O -f1167
#CFLAGS_mips     = -O2 -Olimit 800
#CFLAGS_gcc2.0   = -O2 -funroll-all-loops
#CFLAGS_esv      = -O2 -Olimit 800 -systype bsd43
#CFLAGS_hpux9    = -Ae +O2 +Onolimit
#CFLAGS_hpux9new = -Ae +O4 +Onolimit +Oconservative +ESlit -I/usr/include/X11R5
#CFLAGS_sgi      = -O2 -xansi -DFUNCPROTO
#CFLAGS_gcc      = -O -fomit-frame-pointer -fstrength-reduce -finline-functions

# For Debugging use LFLAGS = 
LFLAGS = -s

# -lXi required if using DIALBOX
EXTLIBS = -lm -lXi -lXext -lX11

# Library path required for HPUX
# LIBS = -lm -L/usr/lib/X11R5 -lXext -lX11
# -lXextSam required by MITSHM on RS600 AIX
# LIBS = -lm -lXextSam -lXext -lX11

# -lmmioc required for MMIO
# -L. -lXext -lX11 -lmmioc -lm

# On SUN Solaris systems when compiling RasMol with the SOCKETS option
# LIBS = -lXext -lX11 -lm -lsocket -lnsl 

# Normal Libraries
LIBS = -lm -lXext -lX11



SRCS = rasmol.c molecule.c infile.c transfor.c command.c abstree.c \
       render.c repres.c x11win.c pixutils.c outfile.c script.c

OBJS = rasmol.o molecule.o infile.o transfor.o command.o abstree.o \
       render.o repres.o x11win.o pixutils.o outfile.o script.o


rasmol:		$(OBJS)
		$(CC) -o rasmol $(LFLAGS) $(OBJS) $(LIBS)
		chmod 755 rasmol

rasmol.o:	rasmol.c rasmol.h molecule.h transfor.h command.h \
		abstree.h render.h graphics.h pixutils.h outfile.h
		$(CC) -c $(CFLAGS) rasmol.c

molecule.o:	molecule.c molecule.h rasmol.h command.h abstree.h \
		transfor.h render.h
		$(CC) -c $(CFLAGS) molecule.c

infile.o:	infile.c infile.h
		$(CC) -c $(CFLAGS) infile.c

transfor.o:	transfor.c transfor.h rasmol.h molecule.h command.h \
		abstree.h render.h graphics.h
		$(CC) -c $(CFLAGS) transfor.c

command.o:	command.c command.h rasmol.h tokens.h abstree.h \
		molecule.h transfor.h render.h graphics.h pixutils.h \
                outfile.h
		$(CC) -c $(CFLAGS) command.c

abstree.o:	abstree.c abstree.h rasmol.h molecule.h
		$(CC) -c $(CFLAGS) abstree.c

render.o:	render.c render.h rasmol.h molecule.h transfor.h \
		command.h abstree.h graphics.h pixutils.h
		$(CC) -c $(CFLAGS) render.c

repres.o:	repres.c repres.h rasmol.h
		$(CC) -c $(CFLAGS) repres.c

x11win.o:	x11win.c graphics.h rasmol.h bitmaps.h command.h render.h
		$(CC) -c $(CFLAGS) x11win.c

pixutils.o:	pixutils.c pixutils.h rasmol.h font.h molecule.h \
		transfor.h render.h graphics.h
		$(CC) -c $(CFLAGS) pixutils.c

outfile.o:	outfile.c outfile.h rasmol.h molecule.h command.h \
		abstree.h transfor.h render.h graphics.h pixutils.h \
		script.h
		$(CC) -c $(CFLAGS) outfile.c

script.o:	script.c script.h rasmol.h molecule.h command.h \
		abstree.h transfor.h render.h graphics.h pixutils.h
		$(CC) -c $(CFLAGS) script.c


esv:		rasmol.c rasmol.h molecule.c molecule.h transfor.c \
                transfor.h command.c command.h abstree.c abstree.h \
		render.c render.h x11win.c graphics.h pixutils.c \
		pixutils.h outfile.c outfile.h script.c script.h tokens.h
		cc -systype bsd43 -O3 -Olimit 600 -s -o rasmol \
		-I/bsd43/usr/include -I/usr/include $(SRCS) $(EXTLIBS)
		rm *.u

cflow:
		cflow -I/usr/local/include $(SRCS)

clean:
		rm -f rasmol $(OBJS)
