## rasmol 2.7.5

=== debian/changelog ===
rasmol (2.7.5-3) unstable; urgency=low

  * Andreas Tille added upstream-metadata.yaml with bibliographic information.
  * Start maintaining rasmol with '3.0 (quilt)' source format with changes
    to upstream sources as patches generated from the git repository with gdp.
  * Add a 'debian/README.source' file.
  * Fix GTK deprecation warning in GtkSpinButtons (patch 06_spinbuttons).
  * Fix segfault in image exporting with GTK (patch 07_gtkexport).
  * Split older changes to upstream sources to separate patches with gdp and
    add DEP-3 in 'debian/metapatches':
    - 01_writemsg: Use WriteMsg() consistently for text output.
    - 02_x11shortcuts: Fix null pointer ref on File menu keyboard
        shortcuts in x11win.c.
    - 03_gtk_redraw: Fix screen update in GTK UI.
    - 04_imakefile: Debian changes to Imakefile.
    - 05_intwidth: Use C99 exact-width ints in typedefs.
    - 08_manfix: Rasmol man page fixes.
    - 09_uncompress_quote: Quote args to decompression programs when
        loading files.
  * control:
    - Build-Depend on new (versionless) libneartree-dev.
    - Remove duplicate Section in rasmol binary package.

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 26 Apr 2011 17:11:48 +0200

rasmol (2.7.5-2) unstable; urgency=low

  * gtkwin.c:
    - Fix screen update on picking labels etc.
    - UpdateScrollBars(): Do not set ReDrawFlag
  * Use new function WriteMsg() for text output to X / GTK command line.
  * x11win.c: Fix null pointer reference on File menu keyboard shortcuts
    (closes: #400073).
  * control: Updgrade to standards-version 3.9.1.
  * copyright: Update to dep5 format and add info from this version.

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 13 Oct 2010 15:18:26 +0200

rasmol (2.7.5-1) unstable; urgency=low

  * New upstream release
  * Imakefile: Use Debian versions of library dependencies
  * control:
    - Add build-deps to libcvector2-dev, libcqrlib2-dev, libneartree3-dev
    - Update to standards-version 3.8.3

 -- Teemu Ikonen <tpikonen@gmail.com>  Tue, 24 Nov 2009 16:48:04 +0100

rasmol (2.7.4.2-5) unstable; urgency=low

  * molecule.c: Add #define _GNU_SOURCE to get the correct definition
    of basename() (closes: #535133)

 -- Teemu Ikonen <tpikonen@gmail.com>  Thu, 02 Jul 2009 15:39:45 +0200

rasmol (2.7.4.2-4) unstable; urgency=low

  * Increase debhelper compat to 7, build-dep on the same
  * rules: Rewrite and simplify using dh. Allow building GTK and
    X11 versions separately for testing
  * Add a bash_completion file
  * Merge patch insvn/gtk-shortcuts: Add various keyboard shortcuts
    to the GTK interface
  * Merge insvn/fileopen:
    - Add support for opening more than one file from the command
      line. (closes: #498261)
    - Fix reading files from stdin with '-' arg.
  * Merge insvn/switches:
    - Fix crashing of the GTK version when trying to output errors
      before initialising GUI (closes: #498261)
    - Accept options prefixed either with a single or double dash.
    - New command line options:
        -colour / color: Set default colour of a new molecule.
        -wireframe, -backbone, -sticks, -spacefill, -spheres, -ballstick,
            -ribbons, -strands, -cartoons: Set default representation
            of a new molecule.
    - New command line options in GTK version:
        -prompt, -noprompt, -scrolls, -noscrolls, -menus, -nomenus,
        -fullscreen: Set ui elements present after startup.
  * Merge insvn/vte-text-output: Write all text output through
    WriteChar() and WriteString().
  * Use direct VTE feeding with text output in GTK version,
    instead of PTYs
  * Make Delete key work and ignore unhandled terminal escape sequences.
  * Fixed debian/watch file, thanks to Daniel Leidert (closes: #520524)
  * Add an application icon to the GTK version
  * Fix recent files support in GTK version
  * Show file name in title, if the file does not have a PDB code
  * rasmol.h: Use C99 exact-width ints in some typedefs. Closes LP: #349585
  * Imakefile: Build with -Wall
  * Fix the Exec field in .desktop files to correctly handle multi-argument
    binaries, also add chemical/x-xyz mime-type

 -- Teemu Ikonen <tpikonen@gmail.com>  Wed, 03 Jun 2009 20:06:55 +0200

rasmol (2.7.4.2-3) unstable; urgency=low

  * src/Imakefile: Remove hppa-specific CFLAGS (closes: #489471)
  * control: Change maintainer to Debian Science Maintainers
    <debian-science-maintainers@lists.alioth.debian.org>
  * control: Add Uploaders field. Add Teemu Ikonen <tpikonen@gmail.com>
    to Uploaders.

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 11 Jul 2008 16:36:47 +0200

rasmol (2.7.4.2-2) unstable; urgency=low

  * control: change build-dep xutils to xutils-dev (should fix FTBS on hppa) 
  * control: Update to standards-version 3.8.0 

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 16 Jun 2008 14:29:55 +0200

rasmol (2.7.4.2-1) unstable; urgency=low

  * New upstream version
  * GTK changes included in upstream now  
  * Update to standards-version 3.7.3
  * Add build-dependency to cbflib-dev
  * Patch Imakefile to use debianized cbflib
  * Configure what GUI to use by regenerating Makefiles from the Imakefile
    during package build
  * Update copyright to reflect the new upstream version
  * Add MimeType=chemical/x-pdb to .desktop files, also fix them to be
    "desktop-file-validate" clean (closes: #460990)
  * Fixed color handling in the GTK version (closes: #442810)
  * Add Vcs-* fields pointing to debian-science git repository 
  * copyright: start conversion to machine readable format, convert to utf8
  * Fix lintian errors in rasmol manpage

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 26 May 2008 15:42:09 +0200

rasmol (2.7.3.1-3) unstable; urgency=low

  * Remove explicit strip command from debian/rules in favor of dh_strip
    (closes: #437884)
  * "Upstream" improvents from the GTK branch
    - Load help file from Help->User Manual
    - Abbreviate long filenames in the File menu list

