=== debian/control ===
Source: rasmol
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Teemu Ikonen <tpikonen@gmail.com>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/rasmol.git
Vcs-Git: http://git.debian.org/git/debian-science/packages/rasmol.git
Homepage: http://rasmol.org
Build-Depends: debhelper (>= 7.0.0), xutils-dev, libx11-dev, libxext-dev,
 libxi-dev, x11proto-core-dev, libvte-dev, libgtk2.0-dev (>= 2.12.0),
 libcbf-dev, libcvector2-dev, libcqrlib2-dev, libcneartree-dev
Standards-Version: 3.9.1

Package: rasmol
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: rasmol-doc
Description: Visualize biological macromolecules
 RasMol is a molecular graphics program intended for the visualisation of
 proteins, nucleic acids and small molecules. The program is aimed at
 display, teaching and generation of publication quality images.
 .
 The program reads in a molecule coordinate file and interactively displays
 the molecule on the screen in a variety of colour schemes and molecule
 representations. Currently available representations include depth-cued
 wireframes, 'Dreiding' sticks, spacefilling (CPK) spheres, ball and stick,
 solid and strand biomolecular ribbons, atom labels and dot surfaces.
 .
 Supported input file formats include Protein Data Bank (PDB), Tripos
 Associates' Alchemy and Sybyl Mol2 formats, Molecular Design Limited's
 (MDL) Mol file format, Minnesota Supercomputer Center's (MSC) XYZ (XMol)
 format, CHARMm format, CIF format and mmCIF format files.
 .
 This package installs two versions of RasMol, rasmol-gtk has a modern
 GTK-based user interface and rasmol-classic is the version with the old
 Xlib GUI.


Package: rasmol-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Enhances: rasmol
Description: Documentation for rasmol
 Extra documentation for Rasmol, a program to visualize biological
 macromolecules. Included are the Rasmol manual in various formats,
 a command reference card and a copy of the openrasmol website,
 http://rasmol.org.
