=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build-gtk: src/rasmol-gtk
src/rasmol-gtk:
	dh_testdir
	cd $(CURDIR)/src ; xmkmf -DGTKWIN ; cd $(CURDIR)
	$(MAKE) -C src clean;
	$(MAKE) -C src
	mv src/rasmol src/rasmol-gtk

build-x11: src/rasmol.8 src/rasmol.16 src/rasmol.32

src/rasmol.8:
	dh_testdir
	cd $(CURDIR)/src ; xmkmf -DX11WIN ; cd $(CURDIR)
	$(MAKE) -C src clean;
	$(MAKE) -C src DEPTHDEF=-DEIGHTBIT=1 rasmol
	mv src/rasmol src/rasmol.8

src/rasmol.16:
	dh_testdir
	cd $(CURDIR)/src ; xmkmf -DX11WIN ; cd $(CURDIR)
	$(MAKE) -C src clean;
	$(MAKE) -C src DEPTHDEF=-DSIXTEENBIT=1 rasmol
	mv src/rasmol src/rasmol.16

src/rasmol.32:
	dh_testdir
	cd $(CURDIR)/src ; xmkmf -DX11WIN ; cd $(CURDIR)
	$(MAKE) -C src clean;
	$(MAKE) -C src DEPTHDEF=-DTHIRTYTWOBIT=1 rasmol
	mv src/rasmol src/rasmol.32

build-arch: build-gtk build-x11

build-indep:
	dh_testdir
	zcat doc/manualA4.pdf.gz > manualA4.pdf
	zcat doc/refcardA4.pdf.gz > refcardA4.pdf

build: build-arch build-indep

clean:
	dh_testdir
	dh_testroot
	if [ -f src/Makefile ] ; then $(MAKE) -C src distclean ; fi
	-rm -f src/rasmol-gtk src/rasmol.32 src/rasmol.16 src/rasmol.8
	-rm -f src/gtkui.h
	-rm -f manualA4.pdf refcardA4.pdf
	dh clean

install:
	dh install --before dh_installchangelogs
	dh_installchangelogs ChangeLog.txt
	dh install --before dh_compress
	dh_compress -X.pdf
	dh install --after dh_compress
	install -D -m 755 debian/rasmol-classic.sh.debian \
               $(CURDIR)/debian/rasmol/usr/bin/rasmol-classic
	install -D -m u=rw,go=r debian/rasmol.bash_completion \
               $(CURDIR)/debian/rasmol/etc/bash_completion.d/rasmol

binary-indep: build install
	dh binary-indep

binary-arch: build install
	dh binary-arch

binary: binary-arch binary-indep
.PHONY: build build-arch build-indep build-gtk build-x11 clean binary-indep binary-arch binary install
