## rasmol 2.7.5.2

=== debian/changelog ===
rasmol (2.7.5.2-2) unstable; urgency=low

  [ Andreas Tille ]
  * renamed debian/upstream-metadata.yaml to debian/upstream
  * debian/upstream: Added DOI & PMID

  [ Teemu Ikonen ]
  * control:
    - Add build-dep to dpkg-dev (>= 1.16.1~)
    - Update standards-version to 3.9.4
  * rules:
    - Export dpkg-buildflags with all hardening options.
    - Run xmkmf only twice per build.
  * Patch imakefile:
    - Get CFLAGS and LDFLAGS from dpkg-buildflags
    - Prune LDLIBS to avoid unnecessary dependencies.
  * New patches:
    - glibsubheaders: Do not include individual glib headers.
      Thanks to Michael Biebl for the patch (closes: #665605).
    - format-security: Fix sprintf calls which fail when compiling
      with -werror=format-security

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 27 May 2013 17:31:54 +0200

rasmol (2.7.5.2-1) unstable; urgency=low

  * New upstream version.
  * control: Upgrade to standards-version 3.9.2.
  * Upgrade debhelper compat and build-dep to 8.
  * copyright:
    - Update DEP5 format and contents to latest release.
    - Add copyright info for PDB files.
  * rules: Use override targets instead of --before and --after.
  * Patches:
    - gtk-tiff-lzw: New patch, Write TIFFs with LZW compression in
      GTK version.
    - gtkabout: New patch, fixes broken icon in GTK About dialog.
    - manfix: Fix typos, escape minuses (fixes lintian warning
      hyphen-used-as-minus-sign).
    - writemsg, x11shortcuts, gtk_redraw, uncompress_quote: Included in
      new upstream version, removed.
  * Add a large PNG logo.

 -- Teemu Ikonen <tpikonen@gmail.com>  Fri, 18 Nov 2011 17:31:09 +0100
