=== debian/control ===
--- 
+++ 
@@ -6,10 +6,11 @@
 Vcs-Browser: http://git.debian.org/?p=debian-science/packages/rasmol.git
 Vcs-Git: http://git.debian.org/git/debian-science/packages/rasmol.git
 Homepage: http://rasmol.org
-Build-Depends: debhelper (>= 7.0.0), xutils-dev, libx11-dev, libxext-dev,
- libxi-dev, x11proto-core-dev, libvte-dev, libgtk2.0-dev (>= 2.12.0),
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~),
+ xutils-dev, libx11-dev, libxext-dev, libxi-dev, x11proto-core-dev,
+ libvte-dev, libgtk2.0-dev (>= 2.12.0),
  libcbf-dev, libcvector2-dev, libcqrlib2-dev, libcneartree-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.4
 
 Package: rasmol
 Architecture: any
