=== debian/watch ===
version=3
ftp://ftp.bernstein-plus-sons.com/software/RasMol_([\d.]+)\.tar\.gz
