## rasmol 2.7.5.2+dfsg

=== debian/changelog ===
rasmol (2.7.5.2+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Moved debian/upstream to debian/upstream/metadata
  * Add Registration field to upstream metadata
  * cme fix dpkg-control; cme fix dpkg-copyright
  * debhelper 11
  * Standards-Version: 4.1.4
  * Point VCS fields to Salsa
  * Build-Depends: bash-completion
  * Remove unsafe symlinks and unneeded binaries from source tarball
  * Avoid privacy breach by keeping logo image locally
  * Fix maintainer address
  * Fix spelling issues

  [ Fernando Seiti Furusato ]
  * Fix undefined vector through -Uvector so the keyword does not conflict with
    the gcc macro with the same name.
    Closes: #767296

  [ Laura Arjona Reina ]
  * Fix short descriptions
    Closes: #821023

 -- Andreas Tille <tille@debian.org>  Tue, 03 Jul 2018 11:13:56 +0200
