=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 src/rasmol-gtk:
 	dh_testdir
 	-rm -f x11-stamp
-	cd $(CURDIR)/src ; xmkmf -DGTKWIN ; cd $(CURDIR)
+	cd $(CURDIR)/src ; xmkmf '-DGTKWIN -Uvector' ; cd $(CURDIR)
 	$(MAKE) -C src clean;
 	$(MAKE) -C src
 	mv src/rasmol src/rasmol-gtk
@@ -16,7 +16,7 @@
 build-x11: src/rasmol.8 src/rasmol.16 src/rasmol.32
 
 x11-stamp:
-	cd $(CURDIR)/src ; xmkmf -DX11WIN ; cd $(CURDIR)
+	cd $(CURDIR)/src ; xmkmf '-DX11WIN -Uvector' ; cd $(CURDIR)
 	touch $@
 
 src/rasmol.8: x11-stamp
@@ -63,18 +63,12 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.txt
 
-install:
-	dh install
-	install -D -m 755 debian/rasmol-classic.sh.debian \
-               $(CURDIR)/debian/rasmol/usr/bin/rasmol-classic
-	install -D -m u=rw,go=r debian/rasmol.bash_completion \
-               $(CURDIR)/debian/rasmol/etc/bash_completion.d/rasmol
-
-binary-indep: build install
+binary-indep: build-indep
 	dh binary-indep
 
-binary-arch: build install
-	dh binary-arch
+binary-arch: build-arch
+	dh binary-arch --with bash-completion
+
 
 binary: binary-arch binary-indep
 .PHONY: build build-arch build-indep build-gtk build-x11 clean binary-indep binary-arch binary install
