=== debian/changelog ===
rasmol (2.7.6.0-4) unstable; urgency=medium

  * Team upload.
  * No change rebuild for reproduce.d.n

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 04 May 2025 23:04:16 +0200

rasmol (2.7.6.0-3) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 19:08:22 +0100

rasmol (2.7.6.0-2) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Andreas Tille <tille@debian.org>  Mon, 30 Nov 2020 15:38:48 +0100

rasmol (2.7.6.0-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Revert change of maintainer address since this should not be changed

  [ Teemu Ikonen ]
  * New upstream version.
  * All patches are upstreamed, except imakefile.
  * imakefile:
    - Add include paths also for old CBFlib version.
    - Use hand-crafted GTKLIBS to reduce binary deps.
  * Set Standards-Version: 4.2.1
  * Build-dep on new cvector and cqrlib dev pkgs.
  * Build-dep on GTK3 and libvte-2.91 (closes: #790196)
  * Remove rasmollogo.jpg from debian/ (it's in html_graphics)
  * debian/changelog: Remove trailing whitespace.
  * Add Keywords-field to .desktop files.
  * watch: Check new releases from github.

 -- Teemu Ikonen <tpikonen@gmail.com>  Mon, 22 Oct 2018 11:18:33 +0300
