=== debian/control ===
--- 
+++ 
@@ -1,25 +1,26 @@
 Source: rasmol
-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Teemu Ikonen <tpikonen@gmail.com>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
                bash-completion,
                xutils-dev,
                libx11-dev,
                libxext-dev,
                libxi-dev,
                x11proto-core-dev,
-               libvte-dev,
-               libgtk2.0-dev,
+               libvte-2.91-dev,
+               libgtk-3-dev,
                libcbf-dev,
-               libcvector2-dev,
-               libcqrlib2-dev,
+               libcvector-dev,
+               libcqrlib-dev,
                libcneartree-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/science-team/rasmol
 Vcs-Git: https://salsa.debian.org/science-team/rasmol.git
 Homepage: http://rasmol.org
+Rules-Requires-Root: no
 
 Package: rasmol
 Architecture: any
@@ -49,10 +50,10 @@
 
 Package: rasmol-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
 Enhances: rasmol
-Multi-Arch: foreign
 Description: documentation for rasmol
  Extra documentation for Rasmol, a program to visualize biological
  macromolecules. Included are the Rasmol manual in various formats,
