=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,13 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 
+export PKGDIR=/usr
+
 build-gtk: src/rasmol-gtk
 src/rasmol-gtk:
 	dh_testdir
 	-rm -f x11-stamp
-	cd $(CURDIR)/src ; xmkmf '-DGTKWIN -Uvector' ; cd $(CURDIR)
+	cd $(CURDIR)/src ; xmkmf '-DGTKWIN -DGTK3 -Uvector' ; cd $(CURDIR)
 	$(MAKE) -C src clean;
 	$(MAKE) -C src
 	mv src/rasmol src/rasmol-gtk
@@ -63,6 +65,9 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog.txt
 
+override_dh_install:
+	dh_install -Xrasmollogo_22Jun99.jpg
+
 binary-indep: build-indep
 	dh binary-indep
